=== modified file 'NEWS'
--- NEWS	2007-03-12 13:49:32 +0000
+++ NEWS	2007-03-26 16:26:09 +0000
@@ -1,3 +1,6 @@
+March 26 2007
+* Add branch parameter to show-paths
+
 March 12 2007
 * Hack around hunk headers showing as long lines.
 

=== modified file 'show_paths.py'
--- show_paths.py	2006-11-23 00:05:45 +0000
+++ show_paths.py	2007-03-26 16:26:09 +0000
@@ -60,8 +60,9 @@
 
     takes_options = [Option('system', help='Show full bzr system information'),
                     ]
+    takes_args = ['branch?']
 
-    def run(self, system=False):
+    def run(self, system=False, branch=u'.'):
         import sys
 
         from bzrlib.branch import Branch
@@ -82,11 +83,7 @@
             _bzr_system_info(to_file)
 
         try:
-            try:
-                branch = WorkingTree.open_containing(u'.')[0].branch
-            except NoWorkingTree:
-                branch = Branch.open_containing(u'.')[0]
-
+            branch = Branch.open_containing(branch)[0]
 
             if system:
                 print >>to_file

